Skip to main content
GET
Retrieve FIR Check Result

Authorizations

Authorization
string
header
required

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

x-api-key
string
header
required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

Path Parameters

transaction_id
string
required

Transaction ID received while creating the FIR check request

Query Parameters

name_match_type
string

Matching logic used for name comparison. Allowed values: EXACT_MATCH, EXACT_FUZZY, PARTIAL_EXACT, PARTIAL_FUZZY, NO_MATCH. Multiple values can be passed as a comma-separated string.

father_match_type
string

Matching logic used for father’s name comparison. Allowed values are the same as name_match_type. Multiple values can be passed as a comma-separated string.

type
string

Role of the individual in the FIR. Allowed values: RESPONDENT, PETITIONER. Multiple values can be passed as a comma-separated string.

case_category
string

Category of FIR. Allowed values: CIVIL, CRIMINAL. Multiple values can be passed as a comma-separated string.

case_status
string

Current status of FIR. Allowed values: PENDING, DISPOSED. Multiple values can be passed as a comma-separated string.

state_match
boolean

Whether FIR matching is done at the state level. Allowed values: true or false.

dist_match
boolean

Whether FIR matching is done at the district level. Allowed values: true or false.

jurisdiction_type
string

Jurisdiction coverage for FIR search. Allowed values: NEAREST_DISTRICTS, STATE, DISTRICT, PAN_INDIA. Multiple values can be passed as a comma-separated string.

algo_risk
string

Risk level assigned by the algorithm. Allowed values: VERY_HIGH_RISK, HIGH_RISK, MEDIUM_RISK, LOW_RISK, VERY_LOW_RISK. Multiple values can be passed as a comma-separated string.

Response

Successful Response

code
integer
default:200
timestamp
integer
transaction_id
string
sub_code
string
default:SUCCESS
message
string
default:Process complete.
data
Data · object[]